package com.ruoyi.system.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;

import cn.dev33.satoken.annotation.SaIgnore;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;

import com.ruoyi.system.domain.bo.ZsOperationGoodsDetailBo;
import com.ruoyi.system.domain.vo.ZsOperationGoodsDetailVo;
import com.ruoyi.system.service.IZsOperationGoodsDetailService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 商品配置
 *
 * @author 王强
 * @date 2025-05-08
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/system/operationGoodsDetail")
public class ZsOperationGoodsDetailController extends BaseController {
    @Autowired
    private IZsOperationGoodsDetailService iZsOperationGoodsDetailService;

    /**
     * 查询商品配置列表
     */
  //  @SaCheckPermission("system:operationGoodsDetail:list")
    @SaIgnore
    @GetMapping("/list")
    public TableDataInfo<ZsOperationGoodsDetailVo> list(ZsOperationGoodsDetailBo bo, PageQuery pageQuery) {
        return iZsOperationGoodsDetailService.queryPageList(bo,pageQuery);
    }
}
