package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点文章管理对象 zs_article
 *
 * @author 王强
 * @date 2025-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("zs_article")
public class ZsArticle extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 网站ID
     */
    private Long websiteId;
    /**
     * 网站名称
     */
    private String websiteName;
    /**
     * 语言编码
     */
    private String languageCode;
    /**
     * 栏目ID
     */
    private Long columnId;
    /**
     * 分类IDs
     */
    private String categoryIds;
    /**
     * 文章标题
     */
    private String title;
    /**
     * 摘要
     */
    private String excerpt;
    /**
     * 文章内容
     */
    private String content;
    /**
     * 封面图
     */
    private String cover;
    /**
     * 外链地址
     */
    private String blankLink;
    /**
     * 图集
     */
    private String galleryList;
    /**
     * 文章标签
     */
    private String articleTag;
    /**
     * SEO标题
     */
    private String seoTitle;
    /**
     * SEO关键词
     */
    private String seoKeyword;
    /**
     * SEO描述
     */
    private String seoDescripetion;
    /**
     * 发布状态
     */
    private String status;
    /**
     * 是否启用
     */
    private String isDisabled;
    /**
     * 发布时间
     */
    private Date publishTime;

}
