package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点产品管理对象 zs_product
 *
 * @author 王强
 * @date 2025-04-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("zs_product")
public class ZsProduct extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 网站ID
     */
    private Long websiteId;
    /**
     * 网站名称
     */
    private String websiteName;
    /**
     * 语言编码
     */
    private String languageCode;
    /**
     * 产品分类ID
     */
    private Long categoryId;
    /**
     * 用途IDs
     */
    private String purposeIds;
    /**
     * 产品名称
     */
    private String name;
    /**
     * 描述1
     */
    private String descripetion1;
    /**
     * 描述2
     */
    private String descripetion2;
    /**
     * 产品封面
     */
    private String cover;
    /**
     * 产品详情
     */
    private String intro;
    /**
     * 图片相册
     */
    private String galleryList;
    /**
     * 产品信息
     */
    private String productInfo;
    /**
     * 附件集合
     */
    private String attachmentListJson;
    /**
     * SEO标题
     */
    private String seoTitle;
    /**
     * SEO关键词
     */
    private String seoKeyword;
    /**
     * SEO描述
     */
    private String seoDescripetion;
    /**
     * 是否启用 
     */
    private String isDisabled;
    /**
     * 第三方平台
     */
    private String platformIds;
    /**
     * 是否推荐
     */
    private String isRecommend;
    /**
     * 标签
     */
    private String tag;

}
