package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 站点产品分类管理对象 zs_product_category
 *
 * @author 王强
 * @date 2025-05-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("zs_product_category")
public class ZsProductCategory extends TreeEntity<ZsProductCategory> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 网站ID
     */
    private Long websiteId;
    /**
     * 网站名称
     */
    private String websiteName;
    /**
     * 语言编码
     */
    private String languageCode;
    /**
     * 分类层级
     */
    private Integer level;
    /**
     * 分类名称
     */
    private String name;
    /**
     * 分类描述
     */
    private String descripetion;
    /**
     * 亮点
     */
    private String features;
    /**
     * 栏目封面
     */
    private String cover;
    /**
     * 外链地址
     */
    private String blankUrl;
    /**
     * 排序权重
     */
    private String sort;

}
