package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点信息对象 zs_website
 *
 * @author 王强
 * @date 2025-04-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("zs_website")
public class ZsWebsite extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 语言编码
     */
    private String languageCode;
    /**
     * 网站地址
     */
    private String url;
    /**
     * 名称
     */
    private String siteName;
    /**
     * 口号
     */
    private String slogan;
    /**
     * Logo
     */
    private String logo;
    /**
     * icon
     */
    private String icon;
    /**
     * 备案
     */
    private String record;
    /**
     * 版权信息
     */
    private String copyrightInfo;
    /**
     * 邮箱
     */
    private String email;
    /**
     * SEO标题
     */
    private String seoTitle;
    /**
     * SEO关键字
     */
    private String seoKeyword;
    /**
     * SEO描述
     */
    private String seoDescription;
    /**
     * robots
     */
    private String robotsRule;
    /**
     * sitemap
     */
    private String sitemapGule;
    /**
     * 统计编码
     */
    private String statisticsCode;
    /**
     * 网站编码
     */
    private String code;

}
