package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 站点文章分类管理业务对象 zs_article_category
 *
 * @author 网球
 * @date 2025-04-29
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsArticleCategoryBo extends TreeEntity<ZsArticleCategoryBo> {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 网站ID
     */
    @NotNull(message = "网站ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long websiteId;

    /**
     * 网站名称
     */
    private String websiteName;

    /**
     * 语言编码
     */
    @NotBlank(message = "语言编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String languageCode;

    /**
     * 分类层级
     */
    private Integer level;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类描述
     */
    private String descripetion;

    /**
     * 分类标签
     */
    private String tag;


}
