package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点banner管理业务对象 zs_banner
 *
 * @author ruoyi
 * @date 2025-04-28
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsBannerBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 网站ID
     */
    @NotNull(message = "网站ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long websiteId;

    /**
     * 网站名称
     */
    private String websiteName;

    /**
     * 语言编码
     */
    @NotBlank(message = "语言编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String languageCode;

    /**
     * 图片
     */
    private String galleryList;

    /**
     * 位置
     */
    private String local;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String descripetion;

    /**
     * 链接URL
     */
    private String hrefUrl;

    /**
     * 排序值
     */
    private Long sort;

    /**
     * 启用状态
     */
    private Integer isDisabled;

    /**
     * 轮播类型
     */
    private Integer isSider;

    /**
     * 图片ALT文本
     */
    private String altText;


}
