package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 站点栏目管理业务对象 zs_column
 *
 * @author ruoyi
 * @date 2025-04-29
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsColumnBo extends TreeEntity<ZsColumnBo> {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 网站ID
     */
    @NotNull(message = "网站ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long websiteId;

    /**
     * 网站名称
     */
    private String websiteName;

    /**
     * 语言编码
     */
    @NotBlank(message = "语言编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String languageCode;

    /**
     * 栏目名称
     */
    @NotBlank(message = "栏目名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 栏目描述
     */
    private String descripetion;

    /**
     * 栏目层级
     */
    private Integer level;

    /**
     * URL别名
     */
    private String urlAlias;

    /**
     * 栏目类型
     */
    private Integer columnType;

    /**
     * 单页内容
     */
    private String columnSingleContent;

    /**
     * 导航显示
     */
    private Integer navigationDisplay;

    /**
     * 导航排序
     */
    private Long navigationSort;

    /**
     * 外链地址
     */
    private String blankLink;

    /**
     * SEO标题
     */
    private String seoTitle;

    /**
     * SEO关键词
     */
    private String seoKeyword;

    /**
     * SEO描述
     */
    private String seoDescripetion;

    /**
     * 模板ID
     */
    private String templateId;

    /**
     * 发布状态
     */
    private Integer status;


}
