package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点留言业务对象 zs_messages
 *
 * @author 王强
 * @date 2025-05-06
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsMessagesBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 网站ID
     */
    @NotNull(message = "网站ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long websiteId;

    /**
     * 留言者姓名
     */
    private String username;

    /**
     * 留言者邮箱
     */
    private String email;

    /**
     * 留言内容
     */
    private String content;

    /**
     * 用户IP
     */
    private String ipAddress;

    /**
     * 留言时间
     */
    private Date createdAt;

    /**
     * 审核状态
     */
    private Integer status;

    /**
     * 管理员回复内容
     */
    private String adminReply;

    /**
     * 管理员回复时间
     */
    private Date adminReplyAt;


}
