package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品配置业务对象 zs_operation_goods
 *
 * @author 王强
 * @date 2025-05-08
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsOperationGoodsBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 商品名字
     */
    private String goodsSkuName;

    /**
     * 商品编号
     */
    private String goodsSkuSn;

    /**
     * 商品url
     */
    private String goodsSkuUrl;

    /**
     * 平台
     */
    private String platform;

    /**
     * 基准价格
     */
    private BigDecimal initPrice;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否启用
     */
    private String isDisabled;

    /**
     * 创建时间
     */
    private Date createDate;



}
