package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 接收商品信息对象 zs_operation_goods_detail
 *
 * @author 王强
 * @date 2025-05-08
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsOperationGoodsDetailBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 商品名字
     */
    private String goodsSkuName;

    /**
     * 商品编号
     */
    private String goodsSkuSn;

    /**
     * 商品url
     */
    private String goodsSkuUrl;


    /**
     * 当前价格
     */
    private String curPrice;

    /**
     * 备注
     */
    private String remark;


    /**
     * 接收时间
     */
    private Date receiveDate;

}
