package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预警配置业务对象 zs_operation_warnconfig
 *
 * @author 王强
 * @date 2025-05-08
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsOperationWarnconfigBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 价格变化比例阈值（%）
     */
    private String priceChangeThreshold;

    /**
     * 监控频率
     */
    private String monitorFrequency;

    /**
     * 预警方式
     */
    private String warnTypes;

    /**
     * 预警时间段
     */
    private String warnTimeRange;

    /**
     * 备注
     */
    private String remark;


}
