package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预警结果业务对象 zs_operation_warnresult
 *
 * @author 王强
 * @date 2025-05-12
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsOperationWarnresultBo extends BaseEntity {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 预警时间
     */
    private Date warnTime;

    /**
     * 商品名字
     */
    private String goodsSkuName;

    /**
     * 商品编号
     */
    private String goodsSkuSn;

    /**
     * 商品url
     */
    private String goodsSkuUrl;

    /**
     * 基准价格
     */
    private BigDecimal initPrice;

    /**
     * 当前价格
     */
    private BigDecimal curPrice;

    /**
     * 价格变动幅度
     */
    private String priceChangeRatio;

    /**
     * 预警方式
     */
    private String warnTypes;

    /**
     * 通知内容/结果
     */
    private String warnContent;

    /**
     * 处理状态
     */
    private Integer status;

    /**
     * 图片快照
     */
   // @NotBlank(message = "图片快照不能为空", groups = { AddGroup.class, EditGroup.class })
    private String snapshotUrl;
    /**
     * 平台
     */
    private String platform;

    /**
     * 比对状态
     */
    private Integer compareStatus;



}
