package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职位管理业务对象 zs_work_info
 *
 * @author wq
 * @date 2025-06-24
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsWorkInfoBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 职位名称
     */
    @NotBlank(message = "职位名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 工作地点
     */
    @NotNull(message = "工作地点不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long location;

    /**
     * 所属站点
     */
    @NotNull(message = "所属站点不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long webSite;

    /**
     * 岗位职责
     */
    private String jobResponsibilities;

    /**
     * 任职要求
     */
    private String jobRequirements;

    /**
     * 工作时间
     */
    @NotBlank(message = "工作时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workTime;

    /**
     * 福利待遇
     */
    @NotBlank(message = "福利待遇不能为空", groups = { AddGroup.class, EditGroup.class })
    private String benefits;

    /**
     * 邮箱投递地址
     */
    @NotBlank(message = "邮箱投递地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String email;

    /**
     * 外部平台链接或名称
     */
    private String externalPlatform;

    /**
     * 是否启用
     */
    private String isDisabled;


}
