package com.ruoyi.system.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点文章管理视图对象 zs_article
 *
 * @author 王强
 * @date 2025-04-29
 */
@Data
@ExcelIgnoreUnannotated
public class ZsArticleVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 网站名称
     */
    @ExcelProperty(value = "网站名称")
    private String websiteName;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 栏目ID
     */
    @ExcelProperty(value = "栏目ID")
    private Long columnId;

    /**
     * 分类IDs
     */
    @ExcelProperty(value = "分类IDs")
    private String categoryIds;

    /**
     * 文章标题
     */
    @ExcelProperty(value = "文章标题")
    private String title;

    /**
     * 摘要
     */
    @ExcelProperty(value = "摘要")
    private String excerpt;

    /**
     * 文章内容
     */
    @ExcelProperty(value = "文章内容")
    private String content;

    /**
     * 封面图
     */
    @ExcelProperty(value = "封面图")
    private String cover;

    /**
     * 外链地址
     */
    @ExcelProperty(value = "外链地址")
    private String blankLink;

    /**
     * 图集
     */
    @ExcelProperty(value = "图集")
    private String galleryList;

    /**
     * 文章标签
     */
    @ExcelProperty(value = "文章标签")
    private String articleTag;

    /**
     * SEO标题
     */
    @ExcelProperty(value = "SEO标题")
    private String seoTitle;

    /**
     * SEO关键词
     */
    @ExcelProperty(value = "SEO关键词")
    private String seoKeyword;

    /**
     * SEO描述
     */
    @ExcelProperty(value = "SEO描述")
    private String seoDescripetion;

    /**
     * 发布状态
     */
    @ExcelProperty(value = "发布状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_status")
    private String status;

    /**
     * 是否启用
     */
    @ExcelProperty(value = "是否启用", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_disabled")
    private String isDisabled;

    /**
     * 发布时间
     */
    @ExcelProperty(value = "发布时间")
    private Date publishTime;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
