package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点banner管理视图对象 zs_banner
 *
 * @author ruoyi
 * @date 2025-04-28
 */
@Data
@ExcelIgnoreUnannotated
public class ZsBannerVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 网站名称
     */
    @ExcelProperty(value = "网站名称")
    private String websiteName;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 图片
     */
    @ExcelProperty(value = "图片")
    private String galleryList;

    /**
     * 位置
     */
    @ExcelProperty(value = "位置", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_local")
    private String local;

    /**
     * 标题
     */
    @ExcelProperty(value = "标题")
    private String title;

    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    private String descripetion;

    /**
     * 链接URL
     */
    @ExcelProperty(value = "链接URL")
    private String hrefUrl;

    /**
     * 排序值
     */
    @ExcelProperty(value = "排序值")
    private Long sort;

    /**
     * 启用状态
     */
    @ExcelProperty(value = "启用状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_disabled")
    private Integer isDisabled;

    /**
     * 轮播类型
     */
    @ExcelProperty(value = "轮播类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_sider")
    private Integer isSider;

    /**
     * 图片ALT文本
     */
    @ExcelProperty(value = "图片ALT文本")
    private String altText;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
