package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点栏目管理视图对象 zs_column
 *
 * @author ruoyi
 * @date 2025-04-29
 */
@Data
@ExcelIgnoreUnannotated
public class ZsColumnVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 网站名称
     */
    @ExcelProperty(value = "网站名称")
    private String websiteName;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 栏目名称
     */
    @ExcelProperty(value = "栏目名称")
    private String name;

    /**
     * 栏目描述
     */
    @ExcelProperty(value = "栏目描述")
    private String descripetion;

    /**
     * 父栏目ID
     */
    @ExcelProperty(value = "父栏目ID")
    private Long parentId;

    /**
     * 栏目层级
     */
    @ExcelProperty(value = "栏目层级")
    private Integer level;

    /**
     * URL别名
     */
    @ExcelProperty(value = "URL别名")
    private String urlAlias;

    /**
     * 栏目类型
     */
    @ExcelProperty(value = "栏目类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_column_type")
    private Integer columnType;

    /**
     * 单页内容
     */
    @ExcelProperty(value = "单页内容")
    private String columnSingleContent;

    /**
     * 导航显示
     */
    @ExcelProperty(value = "导航显示", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_navigation_display")
    private Integer navigationDisplay;

    /**
     * 导航排序
     */
    @ExcelProperty(value = "导航排序")
    private Long navigationSort;

    /**
     * 外链地址
     */
    @ExcelProperty(value = "外链地址")
    private String blankLink;

    /**
     * SEO标题
     */
    @ExcelProperty(value = "SEO标题")
    private String seoTitle;

    /**
     * SEO关键词
     */
    @ExcelProperty(value = "SEO关键词")
    private String seoKeyword;

    /**
     * SEO描述
     */
    @ExcelProperty(value = "SEO描述")
    private String seoDescripetion;

    /**
     * 模板ID
     */
    @ExcelProperty(value = "模板ID")
    private String templateId;

    /**
     * 发布状态
     */
    @ExcelProperty(value = "发布状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_status")
    private Integer status;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
