package com.ruoyi.system.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点留言视图对象 zs_messages
 *
 * @author 王强
 * @date 2025-05-06
 */
@Data
@ExcelIgnoreUnannotated
public class ZsMessagesVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 留言者姓名
     */
    @ExcelProperty(value = "留言者姓名")
    private String username;

    /**
     * 留言者邮箱
     */
    @ExcelProperty(value = "留言者邮箱")
    private String email;

    /**
     * 留言内容
     */
    @ExcelProperty(value = "留言内容")
    private String content;

    /**
     * 用户IP
     */
    @ExcelProperty(value = "用户IP")
    private String ipAddress;

    /**
     * 留言时间
     */
    @ExcelProperty(value = "留言时间")
    private Date createdAt;

    /**
     * 审核状态
     */
    @ExcelProperty(value = "审核状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_faq_status")
    private Integer status;

    /**
     * 管理员回复内容
     */
    @ExcelProperty(value = "管理员回复内容")
    private String adminReply;

    /**
     * 管理员回复时间
     */
    @ExcelProperty(value = "管理员回复时间")
    private Date adminReplyAt;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @ExcelProperty(value = "修改时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 修改人
     */
    @ExcelProperty(value = "修改人")
    private String updateBy;


}
