package com.ruoyi.system.domain.vo;

import java.math.BigDecimal;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 商品配置视图对象 zs_operation_goods
 *
 * @author 王强
 * @date 2025-05-08
 */
@Data
@ExcelIgnoreUnannotated
public class ZsOperationGoodsVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 商品名字
     */
    @ExcelProperty(value = "商品名字")
    private String goodsSkuName;

    /**
     * 商品编号
     */
    @ExcelProperty(value = "商品编号")
    private String goodsSkuSn;

    /**
     * 商品url
     */
    @ExcelProperty(value = "商品url")
    private String goodsSkuUrl;

    /**
     * 平台
     */
    @ExcelProperty(value = "平台", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_platform")
    private String platform;

    /**
     * 基准价格
     */
    @ExcelProperty(value = "基准价格")
    private BigDecimal initPrice;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 是否启用
     */
    @ExcelProperty(value = "是否启用", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_disabled")
    private String isDisabled;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createDate;

}
