package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 预警配置视图对象 zs_operation_warnconfig
 *
 * @author 王强
 * @date 2025-05-08
 */
@Data
@ExcelIgnoreUnannotated
public class ZsOperationWarnconfigVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 价格变化比例阈值（%）
     */
    @ExcelProperty(value = "价格变化比例阈值", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "%=")
    private String priceChangeThreshold;

    /**
     * 监控频率
     */
    @ExcelProperty(value = "监控频率", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_monitor_frequency")
    private String monitorFrequency;

    /**
     * 预警方式
     */
    @ExcelProperty(value = "预警方式", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_warn_types")
    private String warnTypes;

    /**
     * 预警时间段
     */
    @ExcelProperty(value = "预警时间段", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_warn_time_range")
    private String warnTimeRange;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
