package com.ruoyi.system.domain.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 预警结果视图对象 zs_operation_warnresult
 *
 * @author 王强
 * @date 2025-05-12
 */
@Data
@ExcelIgnoreUnannotated
public class ZsOperationWarnresultVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 预警时间
     */
    @ExcelProperty(value = "预警时间")
    private Date warnTime;

    /**
     * 商品名字
     */
    @ExcelProperty(value = "商品名字")
    private String goodsSkuName;

    /**
     * 商品编号
     */
    @ExcelProperty(value = "商品编号")
    private String goodsSkuSn;

    /**
     * 商品url
     */
    @ExcelProperty(value = "商品url")
    private String goodsSkuUrl;

    /**
     * 基准价格
     */
    @ExcelProperty(value = "基准价格")
    private BigDecimal initPrice;

    /**
     * 当前价格
     */
    @ExcelProperty(value = "当前价格")
    private BigDecimal curPrice;

    /**
     * 价格变动幅度
     */
    @ExcelProperty(value = "价格变动幅度")
    private String priceChangeRatio;

    /**
     * 预警方式
     */
    @ExcelProperty(value = "预警方式", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_warn_types")
    private String warnTypes;

    /**
     * 通知内容/结果
     */
    @ExcelProperty(value = "通知内容/结果")
    private String warnContent;

    /**
     * 处理状态
     */
    @ExcelProperty(value = "处理状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_status")
    private Integer status;

    /**
     * 图片快照
     */
    @ExcelProperty(value = "图片快照")
    private String snapshotUrl;

    /**
     * 平台
     */
    @ExcelProperty(value = "平台", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_platform")
    private String platform;

    /**
     * 比对状态
     */
    @ExcelProperty(value = "比对状态")
    @ExcelDictFormat(dictType = "zs_operation_compare_status")
    private Integer compareStatus;
    @ExcelProperty(value = "备注")
    private String remark;

}
