package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点产品管理视图对象 zs_product
 *
 * @author 王强
 * @date 2025-04-30
 */
@Data
@ExcelIgnoreUnannotated
public class ZsProductVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 网站名称
     */
    @ExcelProperty(value = "网站名称")
    private String websiteName;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 产品分类ID
     */
    @ExcelProperty(value = "产品分类ID")
    private Long categoryId;

    /**
     * 用途IDs
     */
    @ExcelProperty(value = "用途IDs")
    private String purposeIds;

    /**
     * 产品名称
     */
    @ExcelProperty(value = "产品名称")
    private String name;

    /**
     * 描述1
     */
    @ExcelProperty(value = "描述1")
    private String descripetion1;

    /**
     * 描述2
     */
    @ExcelProperty(value = "描述2")
    private String descripetion2;

    /**
     * 产品封面
     */
    @ExcelProperty(value = "产品封面")
    private String cover;

    /**
     * 产品详情
     */
    @ExcelProperty(value = "产品详情")
    private String intro;

    /**
     * 图片相册
     */
    @ExcelProperty(value = "图片相册")
    private String galleryList;

    /**
     * 产品信息
     */
    @ExcelProperty(value = "产品信息")
    private String productInfo;

    /**
     * 附件集合
     */
    @ExcelProperty(value = "附件集合")
    private String attachmentListJson;

    /**
     * SEO标题
     */
    @ExcelProperty(value = "SEO标题")
    private String seoTitle;

    /**
     * SEO关键词
     */
    @ExcelProperty(value = "SEO关键词")
    private String seoKeyword;

    /**
     * SEO描述
     */
    @ExcelProperty(value = "SEO描述")
    private String seoDescripetion;

    /**
     * 是否启用 
     */
    @ExcelProperty(value = "是否启用 ", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_disabled")
    private String isDisabled;

    /**
     * 第三方平台
     */
    @ExcelProperty(value = "第三方平台")
    private String platformIds;

    /**
     * 是否推荐
     */
    @ExcelProperty(value = "是否推荐", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_recommend")
    private String isRecommend;

    /**
     * 标签
     */
    @ExcelProperty(value = "标签")
    private String tag;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
