package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点产品用途管理视图对象 zs_purpose
 *
 * @author 王强
 * @date 2025-04-29
 */
@Data
@ExcelIgnoreUnannotated
public class ZsPurposeVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 网站ID
     */
    @ExcelProperty(value = "网站ID")
    private Long websiteId;

    /**
     * 网站名称
     */
    @ExcelProperty(value = "网站名称")
    private String websiteName;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 用途名称
     */
    @ExcelProperty(value = "用途名称")
    private String name;

    /**
     * 用途描述
     */
    @ExcelProperty(value = "用途描述")
    private String descripetion;

    /**
     * 排序权重
     */
    @ExcelProperty(value = "排序权重")
    private String sort;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
