package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 站点信息视图对象 zs_website
 *
 * @author 王强
 * @date 2025-04-30
 */
@Data
@ExcelIgnoreUnannotated
public class ZsWebsiteVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 语言编码
     */
    @ExcelProperty(value = "语言编码", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_sys_language")
    private String languageCode;

    /**
     * 网站地址
     */
    @ExcelProperty(value = "网站地址")
    private String url;

    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String siteName;

    /**
     * 口号
     */
    @ExcelProperty(value = "口号")
    private String slogan;

    /**
     * Logo
     */
    @ExcelProperty(value = "Logo")
    private String logo;

    /**
     * icon
     */
    @ExcelProperty(value = "icon")
    private String icon;

    /**
     * 备案
     */
    @ExcelProperty(value = "备案")
    private String record;

    /**
     * 版权信息
     */
    @ExcelProperty(value = "版权信息")
    private String copyrightInfo;

    /**
     * 邮箱
     */
    @ExcelProperty(value = "邮箱")
    private String email;

    /**
     * SEO标题
     */
    @ExcelProperty(value = "SEO标题")
    private String seoTitle;

    /**
     * SEO关键字
     */
    @ExcelProperty(value = "SEO关键字")
    private String seoKeyword;

    /**
     * SEO描述
     */
    @ExcelProperty(value = "SEO描述")
    private String seoDescription;

    /**
     * robots
     */
    @ExcelProperty(value = "robots")
    private String robotsRule;

    /**
     * sitemap
     */
    @ExcelProperty(value = "sitemap")
    private String sitemapGule;

    /**
     * 统计编码
     */
    @ExcelProperty(value = "统计编码")
    private String statisticsCode;

    /**
     * 网站编码
     */
    @ExcelProperty(value = "网站编码")
    private String code;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
