package com.ruoyi.system.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 职位管理视图对象 zs_work_info
 *
 * @author wq
 * @date 2025-06-24
 */
@Data
@ExcelIgnoreUnannotated
public class ZsWorkInfoVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 职位名称
     */
    @ExcelProperty(value = "职位名称")
    private String name;

    /**
     * 工作地点
     */
    @ExcelProperty(value = "工作地点", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_location")
    private Long location;

    /**
     * 所属站点
     */
    @ExcelProperty(value = "所属站点", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_operation_web_site")
    private Long webSite;

    /**
     * 岗位职责
     */
    @ExcelProperty(value = "岗位职责")
    private String jobResponsibilities;

    /**
     * 任职要求
     */
    @ExcelProperty(value = "任职要求")
    private String jobRequirements;

    /**
     * 工作时间
     */
    @ExcelProperty(value = "工作时间")
    private String workTime;

    /**
     * 福利待遇
     */
    @ExcelProperty(value = "福利待遇")
    private String benefits;

    /**
     * 邮箱投递地址
     */
    @ExcelProperty(value = "邮箱投递地址")
    private String email;

    /**
     * 外部平台链接或名称
     */
    @ExcelProperty(value = "外部平台链接或名称")
    private String externalPlatform;

    /**
     * 是否启用
     */
    @ExcelProperty(value = "是否启用", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "zs_is_disabled")
    private String isDisabled;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    private String updateBy;


}
